Bug 1005359 - [abrt] youtube-dl-2013.09.04-1.fc19: generic.py:126:_real_extract:UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 28: ordinal not in range(128)
[abrt] youtube-dl-2013.09.04-1.fc19: generic.py:126:_real_extract:UnicodeDeco...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:752988d4ad3135ff56af8ecb94a...
: Reopened
: 1002310 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 13:40 EDT by Vadim Raskhozhev
Modified: 2015-02-10 06:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-10 06:10:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.58 KB, text/plain)
2013-09-06 13:40 EDT, Vadim Raskhozhev
no flags Details
File: environ (2.64 KB, text/plain)
2013-09-06 13:40 EDT, Vadim Raskhozhev
no flags Details

  None (edit)
Description Vadim Raskhozhev 2013-09-06 13:40:25 EDT
Description of problem:
youtube-dl --get-url http://www.eralash.ru/video/дорогие-россияне

Version-Release number of selected component:
youtube-dl-2013.09.04-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        python /bin/youtube-dl --get-url 'http://www.eralash.ru/video/\xd0\xb4\xd0\xbe\xd1\x80\xd0\xbe\xd0\xb3\xd0\xb8\xd0\xb5-\xd1\x80\xd0\xbe\xd1\x81\xd1\x81\xd0\xb8\xd1\x8f\xd0\xbd\xd0\xb5'
dso_list:       python-libs-2.7.5-4.fc19.x86_64
executable:     /bin/youtube-dl
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
generic.py:126:_real_extract:UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 28: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/bin/youtube-dl/__main__.py", line 18, in <module>
    youtube_dl.main()
  File "/bin/youtube-dl/youtube_dl/__init__.py", line 666, in main
    _real_main(argv)
  File "/bin/youtube-dl/youtube_dl/__init__.py", line 650, in _real_main
    retcode = ydl.download(all_urls)
  File "/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 573, in download
    videos = self.extract_info(url)
  File "/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 324, in extract_info
    ie_result = ie.extract(url)
  File "/bin/youtube-dl/youtube_dl/extractor/common.py", line 103, in extract
    return self._real_extract(url)
  File "/bin/youtube-dl/youtube_dl/extractor/generic.py", line 126, in _real_extract
    raise ExtractorError(u'Invalid URL: %s' % url)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 28: ordinal not in range(128)

Local variables in innermost frame:
url: 'http://www.eralash.ru/video/\xd0\xb4\xd0\xbe\xd1\x80\xd0\xbe\xd0\xb3\xd0\xb8\xd0\xb5-\xd1\x80\xd0\xbe\xd1\x81\xd1\x81\xd0\xb8\xd1\x8f\xd0\xbd\xd0\xb5'
new_url: False
self: <youtube_dl.extractor.generic.GenericIE object at 0x2134550>
video_id: '\xd0\xb4\xd0\xbe\xd1\x80\xd0\xbe\xd0\xb3\xd0\xb8\xd0\xb5-\xd1\x80\xd0\xbe\xd1\x81\xd1\x81\xd0\xb8\xd1\x8f\xd0\xbd\xd0\xb5'
Comment 1 Vadim Raskhozhev 2013-09-06 13:40:29 EDT
Created attachment 794925 [details]
File: backtrace
Comment 2 Vadim Raskhozhev 2013-09-06 13:40:33 EDT
Created attachment 794926 [details]
File: environ
Comment 3 Vadim Raskhozhev 2013-09-06 13:42:55 EDT
Sorry for lame description, here's more correct one: tried to execute youtube-dl --get-url http://www.eralash.ru/video/дорогие-россияне abd got the above error.
Comment 4 Christopher Meng 2013-09-08 02:29:16 EDT
Are you sure about that youtube-dl support http://www.eralash.ru?
Comment 5 Vadim Raskhozhev 2013-09-11 01:43:43 EDT
I'm sure that youtube-dl does not support http://www.eralash.ru, but I'm also sure there should have been a message like "WARNING: Falling back on generic information extractor.
ERROR: Invalid URL: bla-bla-bla" instead of a crash.
Comment 6 Christopher Meng 2013-09-11 03:41:33 EDT
(In reply to Vadim Raskhozhev from comment #5)
> I'm sure that youtube-dl does not support http://www.eralash.ru, but I'm
> also sure there should have been a message like "WARNING: Falling back on
> generic information extractor.
> ERROR: Invalid URL: bla-bla-bla" instead of a crash.

Yes, but this error was captured by ABRT so:

1. Bug in youtube-dl itself, they forgot to handle such errors(I can say many errors reported are something like this.)

2. ABRT are taking care of too much things.
Comment 7 Vadim Raskhozhev 2013-09-12 10:59:18 EDT
> Bug in youtube-dl itself

Should I report it upstream?
Comment 8 Christopher Meng 2013-09-12 11:01:40 EDT
(In reply to Vadim Raskhozhev from comment #7)
> > Bug in youtube-dl itself
> 
> Should I report it upstream?

I think we've reported upstream. But I think upstream is pretty busy at the moment.
Comment 9 Vadim Raskhozhev 2014-03-09 10:20:52 EDT
Just updated to youtube-dl-2014.03.07.1-1.fc20.noarch and still have the problem.
Comment 10 Fedora End Of Life 2015-01-09 17:17:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Samuel Sieb 2015-01-09 23:00:42 EST
Bug 1002310 is the same as this.

I still see this with at least F20.  The interesting thing is that it depends on which computer I'm using.  When I try it on my server, I usually get this error, so I download it on my laptop and then move it to the server.  So there's some interaction with something else on the system to cause this.
Comment 12 Samuel Sieb 2015-01-09 23:07:09 EST
Sorry for the noise.  I think this bug is long fixed.  I just discovered that a long time ago I had added my own version of youtube-dl because at that time the packaged version was too old.  That was still overriding the installed one.  After I removed it, the installed version worked perfectly.
Comment 13 Till Maas 2015-02-10 06:01:42 EST
*** Bug 1002310 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.